Last Comment Bug 80704 - Option to remove dupe errors/warnings in Error Console
: Option to remove dupe errors/warnings in Error Console
Status: RESOLVED WONTFIX
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: Trunk
: All All
-- enhancement with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 147015 (view as bug list)
Depends on:
Blocks: 490886
  Show dependency treegraph
 
Reported: 2001-05-14 08:08 PDT by Henrik Gemal
Modified: 2016-06-29 11:02 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Henrik Gemal 2001-05-14 08:08:52 PDT
I'd like to be able to hide the same error from being shown twize. So if you
have two same warnings the console would only show it once.
Something like "View" -> "Remove duplicate warnings" -> On/Off
Comment 1 User image Henrik Gemal 2001-05-14 08:21:46 PDT
try adding:
user_pref("javascript.options.strict", true);
to your prefs.js file and go to:
http://bugzilla.mozilla.org/query.cgi

the console is flooded with dupe warnings....
Comment 2 User image Paul Chen 2001-10-04 12:46:42 PDT
-> hewitt
Comment 3 User image Adam Hauner 2002-05-20 22:14:32 PDT
<OT>BTW is there any GUI to switch javascript.options.strict or it's just
accessible via pref.js?</OT>
Comment 4 User image Henrik Gemal 2002-05-20 22:58:44 PDT
edit -> prefs -> debug
Comment 5 User image Serge Gautherie (:sgautherie) 2003-01-07 21:07:01 PST
May be Severity should be reduced from Normal to Enhancement ?
Comment 6 User image Nochum Sossonko [:Natch] 2009-04-30 13:11:49 PDT
Moving this to Toolkit, I'll get to this after bug 489736 lands (if toolkit wants it).
Comment 7 User image Philip Chee 2010-05-04 01:13:20 PDT
*** Bug 147015 has been marked as a duplicate of this bug. ***
Comment 8 User image (Unavailable until Apr 3) [:bgrins] 2016-06-27 07:47:56 PDT
The Error Console has been removed in favor of the Browser Console (see Bug 1278368), and the component is going to be removed.  If this bug is also relevant in the Browser Console, please reopen and move this into Firefox -> Developer Tools: Console.
Comment 9 User image Zack Weinberg (:zwol) 2016-06-27 09:43:53 PDT
I am mass-reopening and re-componenting every single one of the Toolkit:Error Console bugs that appear to have been closed without anyone even *glancing* at whether they were relevant to the Browser Console.

If you want to close a whole bunch of old bugs -- FOR ANY REASON -- it is YOUR RESPONSIBILITY to check EVERY SINGLE ONE OF THEM and make sure they are no longer valid.  Do not push that work onto the bug reporters.

(It's okay to close bugs that haven't been touched in years when they don't have enough information for you to figure out whether the problem is still relevant to the current software - the reporter probably isn't coming back to clarify.  But that is the ONLY situation where it is okay.)

(I'm going to have to do this in two steps because of the way the "change several bugs at once" form works.  Apologies for the extra bugspam.)
Comment 10 User image (Unavailable until Apr 3) [:bgrins] 2016-06-28 14:32:35 PDT
The Error Console feature was removed entirely from the tree in Bug 1278368 and the bugzilla component is now being removed. We’ve migrated bugs that seem to also affect the Browser Console into the devtools component, please move this over if it was missed.

Note You need to log in before you can comment on or make changes to this bug.